# Class Numbering

#### Hierarchy

- XmlComponent
  - Numbering

- Defined in file/numbering/numbering.ts:29

#####
Index

### Constructors

constructor

### Accessors

ConcreteNumbering
ReferenceConfig

### Methods

addChildElement
createConcreteNumberingInstance
prepForXml

## Constructors

### constructor

- new Numbering(options): Numbering

- #### Parameters

  - ##### options: INumberingOptions

  #### Returns Numbering

  Overrides XmlComponent.constructor

  - Defined in file/numbering/numbering.ts:37

## Accessors

### ConcreteNumbering

- get ConcreteNumbering(): readonly ConcreteNumbering []

- #### Returns readonly ConcreteNumbering []

  - Defined in file/numbering/numbering.ts:235

### ReferenceConfig

- get ReferenceConfig(): readonly Record<string, any>[]

- #### Returns readonly Record<string, any>[]

  - Defined in file/numbering/numbering.ts:239

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### createConcreteNumberingInstance

- createConcreteNumberingInstance(reference, instance): void

- #### Parameters

  - ##### reference: string

  - ##### instance: number

  #### Returns void

  - Defined in file/numbering/numbering.ts:198

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Overrides XmlComponent.prepForXml

  - Defined in file/numbering/numbering.ts:187

Generated using TypeDoc